MediaWiki:Vector.css: differenze tra le versioni

Nessun oggetto della modifica
Nessun oggetto della modifica
 
Riga 48: Riga 48:
--icon-color-filter: invert(97%) sepia(3%) saturate(5784%) hue-rotate(22deg) brightness(94%) contrast(105%);
--icon-color-filter: invert(97%) sepia(3%) saturate(5784%) hue-rotate(22deg) brightness(94%) contrast(105%);
--icon-color-hover-filter: invert(73%) sepia(85%) saturate(2166%) hue-rotate(1deg) brightness(106%) contrast(103%);
--icon-color-hover-filter: invert(73%) sepia(85%) saturate(2166%) hue-rotate(1deg) brightness(106%) contrast(103%);
--icon-color-hover-2-filter: invert(97%) sepia(3%) saturate(5784%) hue-rotate(0deg) brightness(94%) contrast(105%);
--icon-color-green-filter: invert(97%) sepia(3%) saturate(70000%) hue-rotate(90deg) brightness(75%) contrast(200%);
--icon-color-green-filter: invert(97%) sepia(3%) saturate(70000%) hue-rotate(90deg) brightness(75%) contrast(200%);
--icon-color-red-filter: invert(97%) sepia(3%) saturate(70000%) hue-rotate(305deg) brightness(75%) contrast(200%);
--icon-color-red-filter: invert(97%) sepia(3%) saturate(70000%) hue-rotate(305deg) brightness(75%) contrast(200%);
Riga 117: Riga 118:
.mw-wiki-logo {
.mw-wiki-logo {
background-size: 156px auto;
background-size: 156px auto;
}
}
/* Image Masks */
@supports (-webkit-mask-image:none) or (mask-image:none) {
.mw-editfooter-toggler::before {
background-color: var(--text-disabled-color);
}
}
}
}
Riga 158: Riga 167:
.vector-menu-tabs-legacy .new a:hover {
.vector-menu-tabs-legacy .new a:hover {
color: var(--text-link-new-hover-color);
color: var(--text-link-new-hover-color);
}
.vector-menu-tabs li a:hover:not(.vector-menu-tabs .selected a, .vector-menu-tabs .selected a:visited) {
background: linear-gradient(
var(--light-2-bg-color),
var(--tab-button-bg-color-dark));
}
.vector-menu-tabs .mw-watchlink.icon a {
padding: 3em 0 0 0;
}
}


Riga 166: Riga 185:
background: linear-gradient(var(--light-2-bg-color), var(--light-bg-color));
background: linear-gradient(var(--light-2-bg-color), var(--light-bg-color));
}
}


/* Vector tabs - dropdown */
/* Vector tabs - dropdown */
Riga 1 680: Riga 1 700:
}
}


.wikiEditor-ui-tabs {
.mw-wikiEditor-InsertLink-TitleInputField .oo-ui-messageWidget {
margin-left: 10px;
background: none;
border-left: none;
border-top: none;
}
 
.wikiEditor-ui-tabs div.current {
border-top-left-radius: 8px;
border-top-right-radius: 8px;
color: var(--text-color);
color: var(--text-color);
background: #1b2628;
/* Old browsers */
background: -moz-linear-gradient(100% 100% 90deg, #2C3022, #2c3f41, #364a4d 100%);
/* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #364a4d), color-stop(100%, #2C3022));
/* Safari 4+, Chrome 2+ */
background: -webkit-linear-gradient(linear, left top, left bottom, from(#2C3022), to(rgba(#364a4d)));
/* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(#364a4d, #2C3022);
/* Opera11.10+ */
background: -ms-linear-gradient(#364a4d, #2C3022);
/* IE10+ */
background: linear-gradient(linear, left top, left bottom, from(#364a4d), to(#2C3022));
/* W3C */
border-bottom: none;
}
}


.wikiEditor-ui-tabs div.current:hover {
.oo-ui-icon-articleNotFound, .mw-ui-icon-articleNotFound:before {
background: #1b2628;
filter: var(--icon-color-red-filter);
/* Old browsers */
background: -moz-linear-gradient(100% 100% 90deg, #2C3022, #2c3f41, #364a4d 100%);
/* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #364a4d), color-stop(100%, #2C3022));
/* Safari 4+, Chrome 2+ */
background: -webkit-linear-gradient(linear, left top, left bottom, from(#2C3022), to(rgba(#364a4d)));
/* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(#364a4d, #2C3022);
/* Opera11.10+ */
background: -ms-linear-gradient(#364a4d, #2C3022);
/* IE10+ */
background: linear-gradient(linear, left top, left bottom, from(#364a4d), to(#2C3022));
/* W3C */
}
}


.wikiEditor-ui-tabs div {
.oo-ui-icon-linkExternal, .mw-ui-icon-linkExternal:before {
margin-left: -1px;
filter: var(--icon-color-filter);
border-top-left-radius: 8px;
border-top-right-radius: 8px;
color: var(--text-color);
background: #1b2628;
background: -moz-linear-gradient(100% 100% 90deg, #141c1d, #1b2628, #233133 100%);
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #233133), color-stop(100%, #141c1d));
background: -webkit-linear-gradient(linear, left top, left bottom, from(#141c1d), to(rgba(#233133)));
background: -o-linear-gradient(#233133, #141c1d);
background: -ms-linear-gradient(#233133, #141c1d);
background: linear-gradient(linear, left top, left bottom, from(#233133), to(#141c1d));
border-right: 1px solid var(--dark-2-bg-color);
border-left: 1px solid var(--dark-2-bg-color);
border-top: 1px solid var(--dark-2-bg-color);
border-bottom: none;
}
 
.wikiEditor-ui-tabs div:hover {
background: #1b2628;
/* Old browsers */
background: -moz-linear-gradient(100% 100% 90deg, #141c1d, #1b2628, var(light-2-bg-color) 100%);
/* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, var(light-2-bg-color)), color-stop(100%, #141c1d));
/* Safari 4+, Chrome 2+ */
background: -webkit-linear-gradient(linear, left top, left bottom, from(#141c1d), to(rgba(var(light-2-bg-color))));
/* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(var(light-2-bg-color), #141c1d);
/* Opera11.10+ */
background: -ms-linear-gradient(var(light-2-bg-color), #141c1d);
/* IE10+ */
background: linear-gradient(linear, left top, left bottom, from(var(light-2-bg-color)), to(#141c1d));
/* W3C */
}
 
.wikiEditor-ui-tabs div.current a {
color: var(--text-color);
}
 
.wikiEditor-ui-tabs div a {
padding: 0 0.75em;
color: var(--text-inactive-tab-color);
}
 
.wikiEditor-ui-tabs div a:hover {
color: var(--text-color);
}
}


Riga 1 874: Riga 1 813:
background: var(--dark-bg-color);
background: var(--dark-bg-color);
border-radius: 8px;
border-radius: 8px;
}
.wikiEditor-toolbar-dialog .ui-dialog-content input[type='text']::placeholder {
color: var(--text-disabled-color);
}
}


.mw-rcfilters-container .mw-rcfilters-ui-filterTagMultiselectWidget-views-select-widget.oo-ui-widget {
.mw-rcfilters-container .mw-rcfilters-ui-filterTagMultiselectWidget-views-select-widget.oo-ui-widget {
border: 1px solid #000;
border: 1px solid #000;
}
.mw-rcfilters-container .mw-rcfilters-ui-filterTagMultiselectWidget-emptyFilters {
color: var(--text-disabled-color);
}
.mw-rcfilters-ui-changesListWrapperWidget:not(.mw-rcfilters-ui-changesListWrapperWidget-highlighted) .mw-changeslist-watchedseen div.mw-rcfilters-ui-highlights-color-none {
background-color: var(--text-color);
border: 1px solid var(--dark-border-color);
}
.mw-rcfilters-ui-changesListWrapperWidget:not(.mw-rcfilters-ui-changesListWrapperWidget-highlighted) .mw-changeslist-watchedunseen div.mw-rcfilters-ui-highlights-color-none {
background-color: var(--text-link-header-color);
border: 1px solid var(--dark-border-color);
}
}


Riga 2 121: Riga 2 078:
}
}


.autocomment, .autocomment a, .autocomment a:visited {
color: var(--text-disabled-color);
}


/* Difference Page */
/* Difference Page */
Riga 2 677: Riga 2 637:
list-style: none;
list-style: none;
}
}
/* Watch icon */
/* Watch icon */
.vector-menu-tabs #ca-watch.icon a::before {
.vector-menu-tabs #ca-watch.icon a::before {
Riga 2 682: Riga 2 643:
filter: var(--icon-color-filter);
filter: var(--icon-color-filter);
}
}
.vector-menu-tabs #ca-watch.icon a:hover:before,
.vector-menu-tabs #ca-watch.icon a:hover:before, .vector-menu-tabs #ca-watch.icon a:focus:before {
.vector-menu-tabs #ca-watch.icon a:focus:before {
background-image: linear-gradient(transparent, transparent), url(data:image/svg+xml,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22UTF-8%22%3F%3E%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2216%22%20height%3D%2216%22%3E%3Cpath%20d%3D%22M8.103%201.146l2.175%204.408%204.864.707-3.52%203.431.831%204.845-4.351-2.287-4.351%202.287.831-4.845-3.52-3.431%204.864-.707z%22%20fill%3D%22%23FFFFFF%22%20stroke%3D%22%23000000%22%20stroke-width%3D%220.9999199999999999%22%2F%3E%3C%2Fsvg%3E);
background-image: linear-gradient(transparent, transparent), url(data:image/svg+xml,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22UTF-8%22%3F%3E%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2216%22%20height%3D%2216%22%3E%3Cpath%20d%3D%22M8.103%201.146l2.175%204.408%204.864.707-3.52%203.431.831%204.845-4.351-2.287-4.351%202.287.831-4.845-3.52-3.431%204.864-.707z%22%20fill%3D%22%23000000%22%20stroke%3D%22%23808080%22%20stroke-width%3D%220.9999199999999999%22%2F%3E%3C%2Fsvg%3E);
filter: var(--icon-color-hover-2-filter);
}
}
.vector-menu-tabs #ca-unwatch.icon a:before {
.vector-menu-tabs #ca-unwatch.icon a:before {
Riga 2 691: Riga 2 652:
}
}
.vector-menu-tabs #ca-unwatch.icon a:hover:before, .vector-menu-tabs #ca-unwatch.icon a:focus:before {
.vector-menu-tabs #ca-unwatch.icon a:hover:before, .vector-menu-tabs #ca-unwatch.icon a:focus:before {
background-image: linear-gradient(transparent, transparent), url(data:image/svg+xml,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22UTF-8%22%3F%3E%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2216%22%20height%3D%2216%22%3E%3Cpath%20d%3D%22M8.103%201.146l2.175%204.408%204.864.707-3.52%203.431.831%204.845-4.351-2.287-4.351%202.287.831-4.845-3.52-3.431%204.864-.707z%22%20fill%3D%22%23FFFFFF%22%20stroke%3D%22%23000000%22%20stroke-width%3D%220.9999199999999999%22%2F%3E%3C%2Fsvg%3E);
background-image: linear-gradient(transparent, transparent), url(data:image/svg+xml,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22UTF-8%22%3F%3E%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2216%22%20height%3D%2216%22%3E%3Cpath%20d%3D%22M8.103%201.146l2.175%204.408%204.864.707-3.52%203.431.831%204.845-4.351-2.287-4.351%202.287.831-4.845-3.52-3.431%204.864-.707z%22%20fill%3D%22%23000000%22%20stroke%3D%22%23808080%22%20stroke-width%3D%220.9999199999999999%22%2F%3E%3C%2Fsvg%3E);
filter: var(--icon-color-hover-2-filter);
}
}
/* 'More' menu */
/* 'More' menu */
div.vectorMenu {
div.vectorMenu {
Riga 3 104: Riga 3 067:
}
}


.mw-widget-calendarWidget-header {
filter: invert(89%) sepia(10%) saturate(1500%) hue-rotate(30deg);
}


.mw-widget-calendarWidget-day-heading {
.mw-widget-calendarWidget-day-heading {